On 09/07/2017 10:19 AM, naresh.kamb...@linaro.org wrote:
From: Naresh Kamboju <naresh.kamb...@linaro.org>
The test script works when kernel source and build module test_bpf.ko
present on the machine. This patch will check if module is present in
the path.
Signed-off-by: Naresh Kamboju <naresh.kamb...@linaro.org>
Looks good, what changed between v1 and v2? Didn't get the cover
letter in case there was one. ;)
Which tree are you targeting? There are usually a lot of changes
in BPF selftests going the usual route via net and net-next tree
as we often require to put test cases along the BPF patches. Given
the merge window now and given one can regard it as a fix, it's
net tree. I'm also ok if Shuah wants to pick it up this window as
test_kmod.sh hasn't been changed in quite a while, so no merge
conflicts expected.
Anyway, for the patch:
Acked-by: Daniel Borkmann <dan...@iogearbox.net>
Thanks!
---
tools/testing/selftests/bpf/test_kmod.sh | 8 +++++---
1 file changed, 5 insertions(+), 3 deletions(-)
diff --git a/tools/testing/selftests/bpf/test_kmod.sh
b/tools/testing/selftests/bpf/test_kmod.sh
index 6d58cca8e235..a53eb1cb54ef 100755
--- a/tools/testing/selftests/bpf/test_kmod.sh
+++ b/tools/testing/selftests/bpf/test_kmod.sh
@@ -9,9 +9,11 @@ test_run()
echo "[ JIT enabled:$1 hardened:$2 ]"
dmesg -C
- insmod $SRC_TREE/lib/test_bpf.ko 2> /dev/null
- if [ $? -ne 0 ]; then
- rc=1
+ if [ -f $SRC_TREE/lib/test_bpf.ko ]; then
+ insmod $SRC_TREE/lib/test_bpf.ko 2> /dev/null
+ if [ $? -ne 0 ]; then
+ rc=1
+ fi
fi
rmmod test_bpf 2> /dev/null
dmesg | grep FAIL